Bug 43960 - Expose StandardWrapper unavailable and/or available properties to JMX
Expose StandardWrapper unavailable and/or available properties to JMX
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
5.5.25
Other other
: P2 enhancement (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-11-26 06:46 UTC by d.alexander
Modified: 2011-01-11 04:06 UTC (History)
0 users



Attachments
Exposes StandardWrapper unavailable and available properties to JMX (968 bytes, patch)
2007-11-30 08:47 UTC, d.alexander
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description d.alexander 2007-11-26 06:46:01 UTC
Would be useful if at least isUnavailable property of 
org.apache.catalina.core.StandardWrapper was exposed as an MBean property.

Possible also the available property too.
Comment 1 d.alexander 2007-11-30 08:47:17 UTC
Created attachment 21210 [details]
Exposes StandardWrapper unavailable and available properties to JMX 

Not sure if I created the patch correctly, best if someone checks that. Have
tested this code works with 5.5.25 though.
Comment 2 d.alexander 2007-12-04 07:58:31 UTC
This could also be applied to the 6.x branch.
Comment 3 Mark Thomas 2010-12-12 19:19:02 UTC
There is no unavailable property but the available property is already exposed in Tomcat 7. A patch has been proposed for Tomcat 6 and Tomcat 5.
Comment 4 Mark Thomas 2011-01-04 16:50:51 UTC
Fixed in 6.0.x and will be included in 6.0.30 onwards.
Comment 5 Konstantin Kolinko 2011-01-11 04:06:13 UTC
Fixed in 5.5 with r1057531 and will be in 5.5.32.